<div class="page-header">
  <h1>Aihealueet</h1>
</div>

<h3>
<ng-pluralize count="topics.length"
                 when="{'0': 'Ei yhtään aihealuetta',
                     'one': '{} aihealue',
                     'other': '{} aihealuetta'}">
</ng-pluralize>
</h3>

<div class="panel panel-default" ng-repeat="topic in topics">
  <div class="panel-heading">
    <h3 class="panel-title">
      <a href="#/topics/{{topic._id}}">{{topic.name}}</a>
    </h3>
  </div>
  <div class="panel-body">
    {{topic.description}}
  </div>
</div>

<div ng-if="userLoggedIn">
<h2>Lisää oma aihealueesi</h2>

<form>
  <div class="form-group">
    <label>Nimi</label>
    <input type="text" class="form-control" ng-model="$parent.newTopic.name">
  </div>

  <div class="form-group">
    <label>Kuvaus</label>
    <textarea class="form-control" ng-model="$parent.newTopic.description"></textarea>
  </div>
  <button class="btn btn-success" ng-click="addTopic()">Lisää aihealue</button>
  <h3>{{errorMessageTopic}}</h3>
</form>
</div>